3

Troubling upgrading to FC12 due to conflicts and dependcy problems

view full story
linux-howto

http://forums.fedoraforum.org – Greetings. I've been trying to upgrade my installation for some time now and just can't quite get it right. I would upgrade from the DVD but the installer hangs when it says "Looking for installation images on CD device /dev/sr0". However, that's not really my question. I've resorted to the upgrade instructions as found at http://fedoraproject.org/wiki/YumUpgradeFaq. If I don't use the '--skip-broken' option it complains about the following: abrt-gui-0.0.11-1.fc12.x86_64 from fedora abrt-libs-1.0.6-1.fc12.x86_64 from updates samba-3.4.5-55.fc12.x86_64 from updates samba-client-3.4.5-55.fc12.x86_64 from updates samba-common-3.4.5-55.fc12.x86_64 from updates samba-winbind-3.4.5-55.fc12.x86_64 from updates samba-winbind-clients-3.4.5-55.fc12.x86_64 from updates If I use the skip broken option, it then complains about: Transaction Check Error: file /usr/share/locale/de/LC_MESSAGES/cryptsetup.mo from install of cryptsetup-luks-1.1.0-0.4.fc12.x86_64 conflicts with file from package cryptsetup-luks-1.0.6-7.fc11.i586 file /usr/share/locale/sv/LC_MESSAGES/cryptsetup.mo from install of cryptsetup-luks-1.1.0-0.4.fc12.x86_64 conflicts with file from package cryptsetup-luks-1.0.6-7.fc11.i586 file /usr/share/man/man8/cryptsetup.8.gz from install of cryptsetup-luks-1.1.0-0.4.fc12.x86_64 conflicts with file from package cryptsetup-luks-1.0.6-7.fc11.i586 I can't seem to remedy this problem. There were other conflicts but I just removed those packages. When I attempt to remove 'cryptsetup-luks' it then tells me it's going to remove something like 200 others which did not sound like a good idea. If someone can point me in the correct direction I will definitely appreciate it. Thanks. Jerry. (HowTos)